summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo2013-05-05 07:17:32 +0200
committer Niels Horn2013-05-13 03:20:37 +0200
commit21913db38ee9199ee400bb7c91547be87dea6e44 (patch)
tree747a09570f7ea8bb3a18490ed355218c2cb90b2d /libraries
parent4cbb214d038c7df0596d2087b0970a5fd355e6c9 (diff)
downloadslackbuilds-21913db38ee9199ee400bb7c91547be87dea6e44.tar.gz
libraries/vte3: Updated for version 0.34.4.
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/vte3/fix_meta_alt_keybinding.patch74
-rw-r--r--libraries/vte3/fix_meta_alt_keybinding.patch.gzbin1246 -> 0 bytes
-rw-r--r--libraries/vte3/vte3.SlackBuild11
-rw-r--r--libraries/vte3/vte3.info6
4 files changed, 83 insertions, 8 deletions
diff --git a/libraries/vte3/fix_meta_alt_keybinding.patch b/libraries/vte3/fix_meta_alt_keybinding.patch
new file mode 100644
index 0000000000..bd364be584
--- /dev/null
+++ b/libraries/vte3/fix_meta_alt_keybinding.patch
@@ -0,0 +1,74 @@
+From 180dcc578e13c6096e277fb853e7162db640f207 Mon Sep 17 00:00:00 2001
+From: Alexandre Rostovtsev <tetromino@gentoo.org>
+Date: Tue, 15 Nov 2011 03:06:40 -0500
+Subject: [PATCH] Map both gdk's Meta and Alt to vte's Meta for >=gtk+-3.2.2
+ compatibility
+
+Also, since VTE_META_MASK is now a mask with multiple bits set, code that
+compares gdk key modifiers to VTE_META_MASK by numerical equality is no
+longer guaranteed to work. Therefore, for such comparisons a new function,
+vte_keymap_fixup_modifiers, is introduced; it ensures that if any bits
+matching matching VTE_META_MASK are set, then all are set.
+
+https://bugzilla.gnome.org/show_bug.cgi?id=663779
+---
+ src/keymap.c | 15 +++++++++++++--
+ src/keymap.h | 2 +-
+ 2 files changed, 14 insertions(+), 3 deletions(-)
+
+diff --git a/src/keymap.c b/src/keymap.c
+index 9a21669..95b4c5b 100644
+--- a/src/keymap.c
++++ b/src/keymap.c
+@@ -990,6 +990,17 @@ static const struct _vte_keymap_group {
+ {GDK_KEY (F35), _vte_keymap_GDK_F35},
+ };
+
++/* Restrict modifiers to the specified mask and ensure that VTE_META_MASK,
++ * despite being a compound mask, is treated as indivisible. */
++GdkModifierType
++_vte_keymap_fixup_modifiers(GdkModifierType modifiers,
++ GdkModifierType mask)
++{
++ if (modifiers & VTE_META_MASK)
++ modifiers |= VTE_META_MASK;
++ return modifiers & mask;
++}
++
+ /* Map the specified keyval/modifier setup, dependent on the mode, to either
+ * a literal string or a capability name. */
+ void
+@@ -1104,7 +1115,7 @@ _vte_keymap_map(guint keyval,
+ } else {
+ fkey_mode = fkey_default;
+ }
+- modifiers &= (GDK_SHIFT_MASK | GDK_CONTROL_MASK | VTE_META_MASK | VTE_NUMLOCK_MASK);
++ modifiers = _vte_keymap_fixup_modifiers(modifiers, GDK_SHIFT_MASK | GDK_CONTROL_MASK | VTE_META_MASK | VTE_NUMLOCK_MASK);
+
+ /* Search for the conditions. */
+ for (i = 0; entries[i].normal_length || entries[i].special[0]; i++)
+@@ -1375,7 +1386,7 @@ _vte_keymap_key_add_key_modifiers(guint keyval,
+ return;
+ }
+
+- switch (modifiers & significant_modifiers) {
++ switch (_vte_keymap_fixup_modifiers(modifiers, significant_modifiers)) {
+ case 0:
+ modifier = 0;
+ break;
+diff --git a/src/keymap.h b/src/keymap.h
+index 243e22e..21d9b8e 100644
+--- a/src/keymap.h
++++ b/src/keymap.h
+@@ -27,7 +27,7 @@
+
+ G_BEGIN_DECLS
+
+-#define VTE_META_MASK GDK_META_MASK
++#define VTE_META_MASK (GDK_META_MASK | GDK_MOD1_MASK)
+ #define VTE_NUMLOCK_MASK GDK_MOD2_MASK
+
+ /* Map the specified keyval/modifier setup, dependent on the mode, to either
+--
+1.7.8.rc3
+
diff --git a/libraries/vte3/fix_meta_alt_keybinding.patch.gz b/libraries/vte3/fix_meta_alt_keybinding.patch.gz
deleted file mode 100644
index d28d9d0a06..0000000000
--- a/libraries/vte3/fix_meta_alt_keybinding.patch.gz
+++ /dev/null
Binary files differ
diff --git a/libraries/vte3/vte3.SlackBuild b/libraries/vte3/vte3.SlackBuild
index 4182387917..61a4884722 100644
--- a/libraries/vte3/vte3.SlackBuild
+++ b/libraries/vte3/vte3.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for vte3
-# Copyright 2012 Willy Sudiarto Raharjo <willysr@slackware-id.org>
+# Copyright 2012-2013 Willy Sudiarto Raharjo <willysr@slackware-id.org>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,11 +24,10 @@
SRCNAM=vte
PRGNAM=vte3
-VERSION=${VERSION:-0.34.2}
+VERSION=${VERSION:-0.34.4}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) export ARCH=i486 ;;
@@ -56,11 +55,13 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $SRCNAM-$VERSION
-tar xvf $CWD/$SRCNAM-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/$SRCNAM-$VERSION.tar.xz
cd $SRCNAM-$VERSION
# Make sure ownerships and permissions are sane:
@@ -72,7 +73,7 @@ find . \
-exec chmod 644 {} \;
# https://bugzilla.gnome.org/show_bug.cgi?id=663779
-zcat $CWD/fix_meta_alt_keybinding.patch.gz | patch -p1 || exit 1
+patch -p1 < $CWD/fix_meta_alt_keybinding.patch
# Configure:
CFLAGS="$SLKCFLAGS" \
diff --git a/libraries/vte3/vte3.info b/libraries/vte3/vte3.info
index f8bb427c4b..187bc5fc2f 100644
--- a/libraries/vte3/vte3.info
+++ b/libraries/vte3/vte3.info
@@ -1,8 +1,8 @@
PRGNAM="vte3"
-VERSION="0.34.2"
+VERSION="0.34.4"
HOMEPAGE="http://www.gnome.org/"
-DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/vte/0.34/vte-0.34.2.tar.xz"
-MD5SUM="523eae73bd93d58b9427357774956b22"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/vte/0.34/vte-0.34.4.tar.xz"
+MD5SUM="894a9b165f7992966134b6be9c775196"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""